<?php

	// prevent snooping
	if(!defined('GREGARIOUS_BUILD'))exit;
	if(!greg_is_admin())return;

	global $gregarious;

	if( isset($_REQUEST['greg_activate']) ){
		activate_module($_REQUEST['greg_activate']);
		echo 'Activating '.substr($_REQUEST['greg_activate'],0,strpos($_REQUEST['greg_activate'],'/')).' module...';
		reload_after();
	}
	if( isset($_REQUEST['greg_deactivate']) ){
		deactivate_module($_REQUEST['greg_deactivate']);
		echo 'Deactivating '.substr($_REQUEST['greg_deactivate'],0,strpos($_REQUEST['greg_deactivate'],'/')).' module...';
		reload_after();
	}

	if ($_REQUEST['greg_save']) {
		$keys=array();
		foreach( $gregarious->settings as $key => $value){
			$keys[]=$key;
		}
		greg_update_options( $keys, stripslashes_deep($_REQUEST) );
		modules_do_action( 'save_settings' );
		$gregarious->add_message( __('Saved changes', 'gregarious'), 'updated' );
	} else if($_REQUEST['greg_clear']){
		greg_reset_options();
		modules_do_action( 'reset_settings' );
		$gregarious->add_message( __('Plugin reset', 'gregarious'), 'updated' );
	}
?>
	<style type="text/css" media="screen">
		@import url(<?php echo greg_uri(); ?>resources/admin-styles.css);
	</style>
<?php
	if( !isset($_REQUEST['keys']) )
		modules_do_action('admin_head');
?>