<?php
//================================================
// DIGG-BUTTON MODULE for GREGARIOUS
//================================================
// Provision of dynamic full or compact Digg
// button, "submit to Digg" links. Automatically
// detects referrals from Digg and adds Digg URL
// to post meta accordingly.
//================================================
// Gregarious is copyright 2007 Ankur Kothari
// All rights reserved.
// -------------------------
// http://dev.lipidity.com/wp-plugin-gregarious
//================================================

// prevent snooping
if(!defined('GREGARIOUS_BUILD'))exit;
if($_REQUEST['page'] != 'gregarious')return;

?>
<fieldset>
<legend><?php _e('Digg Button Module', 'gregarious'); ?></legend>
				<ul>
			<li class="check checker">
				<div class="wrapping">
				<input type="checkbox" class="input_check" id="chk41" name="digg_refer_detect"<?php echo (greg_get_option('digg_refer_detect')) ? " checked='checked'" : "" ?> />
				Detect incoming Diggs
				</div>
			</li>

			<li class="check checker">
				<div class="wrapping">
				<input type="checkbox" class="input_check" id="chk40" name="digg_email_notify"<?php echo (greg_get_option('digg_email_notify')) ? " checked='checked'" : "" ?> />
				<?php _e('Email admin when post is Dugg', 'gregarious'); ?>
				</div>
			</li>

			<li class='transmit'>
				<label for="digg_check_type" class='wrapping'>
					<select id="digg_check_type" name="digg_check_type">
						<option value="0"<?php echo (greg_get_option('digg_check_type')==0) ? " selected='selected'" : "" ?>><?php _e('None', 'gregarious') ?></option>
						<option value="1"<?php echo (greg_get_option('digg_check_type')==1) ? " selected='selected'" : "" ?>><?php _e('CURL', 'gregarious') ?></option>
						<option value="2"<?php echo (greg_get_option('digg_check_type')==2) ? " selected='selected'" : "" ?>><?php _e('Digg API', 'gregarious') ?></option>
					</select>
				</label>
			</li>

			<li class='color_wheel'>
				<label for="digg_badge_bgcolor" class='wrapping'>
					<input type='text' class="input_text" name='digg_badge_bgcolor' id='digg_badge_bgcolor' value="<?php echo greg_get_option('digg_badge_bgcolor'); ?>" />&nbsp; <?php _e('Digg Badge', 'gregarious') ?> bgcolor
				</label>
			</li>
				
			<li class="edit"><label for="digg_submit_style" class="wrapping more"><?php _e('For un-Dugg posts, show:') ?>&nbsp;<select id="digg_submit_style" name="digg_submit_style" onchange="toggleSubmitStyle(0); $('badgeStyle').style.height='100%';" onblur="toggleSubmitStyle(0)">
				<option value="0"<?php echo (greg_get_option('digg_submit_style')==0) ? " selected='selected'" : "" ?>><?php _e('Nothing', 'gregarious') ?></option>
				<option value="text"<?php echo (greg_get_option('digg_submit_style')=='text') ? " selected='selected'" : "" ?>><?php _e('Text', 'gregarious') ?></option>
				<option value="image"<?php echo (greg_get_option('digg_submit_style')=='image') ? " selected='selected'" : "" ?>><?php _e('Image', 'gregarious') ?></option>
				<option value="button"<?php echo (greg_get_option('digg_submit_style')=='button') ? " selected='selected'" : "" ?>><?php _e('Digg badge', 'gregarious') ?></option>
				<option value="compact"<?php echo (greg_get_option('digg_submit_style')=='compact') ? " selected='selected'" : "" ?>><?php _e('Compact Digg Badge', 'gregarious') ?></option>
				</select></label>

				<div id='submit_style0'></div>

				<div class='centre hide html_valid' id='submit_style1'>
					<input type="text" class="input_text" id="digg_submit_style_text" value="<?php echo greg_get_option('digg_submit_style_text') ?>" name="digg_submit_style_text" size="30" />
				</div>
				
				<div class='centre hide url_valid' style='padding-bottom: 10px;' id='submit_style2'>
					<input type="text" class="input_text" id="digg_submit_style_image" value="<?php echo greg_get_option('digg_submit_style_image') ?>" name="digg_submit_style_image" size="30" />
				</div>
				
				<div class='centre hide' style='padding-bottom: 10px;' id='submit_style3'>
				</div>

				<div class='centre hide' style='padding-bottom: 10px;' id='submit_style4'>
				</div>
				
				<div class='hrz'></div>
			</li>

			<li class="edit"><label for="digg_badge_style" class="wrapping more"><?php _e('For Dugg posts, show:', 'gregarious') ?>&nbsp;<select id="digg_badge_style" name="digg_badge_style" onchange="toggleSubmitStyle(1); $('badgeStyle').style.height='100%';" onblur="toggleSubmitStyle(1)">
				<option value="0"<?php echo (greg_get_option('digg_badge_style')==0) ? " selected='selected'" : "" ?>><?php _e('Nothing', 'gregarious') ?></option>
				<option value="text"<?php echo (greg_get_option('digg_badge_style')=='text') ? " selected='selected'" : "" ?>><?php _e('Text', 'gregarious') ?></option>
				<option value="image"<?php echo (greg_get_option('digg_badge_style')=='image') ? " selected='selected'" : "" ?>><?php _e('Image', 'gregarious') ?></option>
				<option value="button"<?php echo (greg_get_option('digg_badge_style')=='button') ? " selected='selected'" : "" ?>><?php _e('Digg badge', 'gregarious') ?></option>
				<option value="compact"<?php echo (greg_get_option('digg_badge_style')=='compact') ? " selected='selected'" : "" ?>><?php _e('Compact Digg Badge', 'gregarious') ?></option>
				</select></label>
<div id='badge_style_wrap'></div>
			<div id='badge_style0'></div>

				<div class='centre hide html_valid' id='badge_style1'>
					<input type="text" class="input_text" id="digg_badge_style_text" value="<?php echo greg_get_option('digg_badge_style_text') ?>" name="digg_badge_style_text" size="30" />
				</div>
				
				<div class='centre hide url_valid' style='padding-bottom: 10px;' id='badge_style2'>
					<input type="text" class="input_text" id="digg_badge_style_image" value="<?php echo greg_get_option('digg_badge_style_image') ?>" name="digg_badge_style_image" size="30" />
				</div>

				<div class='centre hide' style='padding-bottom: 10px;' id='badge_style3'>
				</div>
				
				<div class='centre hide' style='padding-bottom: 10px;' id='badge_style4'>
				</div>

				<div class='hrz'></div>
			</li>
		  </ul>
</fieldset>