<?php
//================================================
// POST-BADGE MODULE for GREGARIOUS
//================================================
// Appends content to posts, without the need for
// template editing. Extended by other modules.
//================================================
// Gregarious is copyright 2007 Ankur Kothari
// All rights reserved.
// -------------------------
// http://dev.lipidity.com/wp-plugin-gregarious
//================================================

// prevent snooping
if(!defined('GREGARIOUS_BUILD'))exit;
if($_REQUEST['page'] != 'gregarious')return;

?>
<fieldset>
<legend><?php _e('PostBadge Module', 'gregarious') ?></legend>
		  <ul>
			<li class="checker">
				<div class="wrapping">
				<input type="checkbox" class="input_check" id="chk35" name="append_use"<?php echo (greg_get_option('append_use')) ? " checked='checked' ".greg_get_option('append_use') : "" ?> />
				<?php _e('Append to posts', 'gregarious') ?>
				</div>
			</li>
			<li class="page_code">
				<div class="wrapping more">
				<?php _e('PostBadge code', 'gregarious') ?>:
				</div>
				<div class='wrapg' style='padding-left: 40px; background-position: 12px center; background-image:url(<?php bloginfo("wpurl"); ?>/wp-content/plugins/gregarious/images/textfield_rename.png)'>
				<div style='font-size:0.7em;color:gray;'>
				<?php _e('Tags available', 'gregarious') ?>:
<?php
	$replacements = modules_do_action( 'postbadge_tags' );
	if( is_array($replacements) ) {
	$tagdata = array( '<a href="javascript:insertAtCursor(\'append_content\',\''.htmlentities('%CONTENT%').'\')" title="Add Tag">'.htmlentities('%CONTENT%').'</a>' );
		foreach ( $replacements as $replacement ){
			foreach ($replacement as $tag){
				if( !array_key_exists('deprecate', $tag) ){
					$tagdata[] = '<a href="javascript:insertAtCursor(\'append_content\',\''.htmlentities($tag['tag']).'\')" title="Add Tag">'.htmlentities($tag['tag']).'</a>';
				}
			}
		}
		echo implode( ', ', $tagdata );
	}
?>
</div>
				</div>
				
				<textarea name="append_content" id="append_content" rows="5" cols="40" style='width:100%'><?php echo htmlentities(greg_get_option('append_content')); ?></textarea>
				<div class="hrz" style='margin: 5px 0 5px 0;'></div>
			</li>

		<li class="text"><label for="dont_show_on" class="wrapping"><?php _e('Hide on post IDs', 'gregarious') ?>: <input type="text" name="dont_show_on" id="dont_show_on" value=" <?php echo greg_get_option('dont_show_on'); ?>" /></label></li>

			<li class='shield nocheck'>
			<div><?php _e('Enable PostBadge on', 'gregarious') ?>:</div>
<?php $conds = greg_get_option('append_conditionals'); ?>
			<div class='checker wrapg'>
				<input type="checkbox" class="input_check" id="chk30" name="append_conditionals[is_home]"<?php echo ($conds[is_home]) ? " checked='checked'" : "" ?> />
				<?php _e('Front page of blog', 'gregarious') ?>
			</div>
			<div class='checker wrapg'>
				<input type="checkbox" class="input_check" id="chk31" name="append_conditionals[is_single]"<?php echo ($conds[is_single]) ? " checked='checked'" : "" ?> />
				<?php _e('Individual blog posts', 'gregarious') ?>
			</div>
			<div class='checker wrapg'>
				<input type="checkbox" class="input_check" id="chk32" name="append_conditionals[is_page]"<?php echo ($conds[is_page]) ? " checked='checked'" : "" ?> />
				<?php _e('Individual WordPress pages', 'gregarious') ?>
			</div>
			<div class='checker wrapg'>
				<input type="checkbox" class="input_check" id="chk33" name="append_conditionals[is_category]"<?php echo ($conds[is_category]) ? " checked='checked'" : "" ?> />
				<?php _e('Category archives', 'gregarious') ?>
			</div>
			<div class='checker wrapg'>
				<input type="checkbox" class="input_check" id="chk34" name="append_conditionals[is_date]"<?php echo ($conds[is_date]) ? " checked='checked'" : "" ?> />
				<?php _e('Date-based archives', 'gregarious') ?>
			</div>
			</li>
</ul>
</fieldset>