<?php
/*
Description: Display Digg or Reddit button or other social bookmarking link
Author: Ankur Kothari
Author URI: http://dev.lipidity.com/
*/
/*
http://dev.lipidity.com/ for any help/support/requests/suggestions/updates
or send me an email at ankur@lipidity.com
*/

function widget_gregarious_init() {
	// Check for the required API functions
	if ( !function_exists('register_sidebar_widget') || !function_exists('register_widget_control') || !function_exists('post_badge') )
		return;
	// This saves options and prints the widget's config form.
	function widget_gregarious_control() {
		$options = $newoptions = get_option('widget_gregarious');
		if ( $_POST['gregarious-submit'] ) {
			$newoptions['append'] = strip_tags(stripslashes($_POST['gregarious-append']));
			$newoptions['title'] = strip_tags(stripslashes($_POST['gregarious-title']));
		}
		if ( $options != $newoptions ) {
			$options = $newoptions;
			update_option('widget_gregarious', $options);
		}
	?>
		<div style="text-align:right">
		<label for="gregarious-title" style="line-height:35px;display:block;">Widget title: <input type="text" id="gregarious-title" name="gregarious-title" value="<?php echo htmlspecialchars($options['title']); ?>" /></label>
		<label for="gregarious-append" style="line-height:35px;display:block;">Social links to show: <textarea id="gregarious-append" name="gregarious-append" style="width:290px;height:80px;"><?php echo htmlspecialchars($options['append']); ?></textarea></label>
		<input type="hidden" name="gregarious-submit" id="gregarious-submit" value="1" />
		</div>
	<?php
	}
		// This prints the widget
		function widget_gregarious($args) {
			extract($args);
			$defaults = array('title' => 'Social Bookmarking', 'append' => '<%DIGG_BUTTON%>');
			$options = (array) get_option('widget_gregarious');

			foreach ( $defaults as $key => $value )
				if ( !isset($options[$key]) )
					$options[$key] = $defaults[$key];
			?>
			<?php echo $before_widget; ?>
				<div id="gregarious-links"><?php echo $before_title . "<a href='http://dev.lipidity.com/feature/wp-plugin-gregarious'>{$options['title']}</a>" . $after_title; ?></div>
			<?php post_badge('', $options['append']); ?>
			<?php echo $after_widget; ?>
	<?php
		}

		// Tell Dynamic Sidebar about our new widget and its control
		register_sidebar_widget('gregarious', 'widget_gregarious');
		register_widget_control('gregarious', 'widget_gregarious_control');

	}

	// Delay plugin execution to ensure Dynamic Sidebar has a chance to load first
	add_action('plugins_loaded', 'widget_gregarious_init');

?>