<?php
//================================================
// SHARE-THIS MODULE for GREGARIOUS
//================================================
// Provision of "Share This" submit to social sites
// link on blog posts. Social sites listed in
// dialog are configurable
//================================================
// Gregarious is copyright 2007 Ankur Kothari
// All rights reserved.
// -------------------------
// http://dev.lipidity.com/wp-plugin-gregarious
//================================================

// prevent snooping
if(!defined('GREGARIOUS_BUILD'))exit;

?>
function createMe (eltype, id) {
	var newdiv1 = new Element(eltype);
	if(id)newdiv1.setProperty('id',id);
	return newdiv1;
}

function addSocialSite() {
	var ss_name = prompt('<?php _e('Social site name?', 'gregarious') ?>');
	if( !ss_name ){
		alert('<?php _e('No name entered! Social site creation aborted.', 'gregarious') ?>');
		return false;
	}
	var ss_url = prompt('<?php _e('Social site submit URL?', 'gregarious') ?>', 'http://');

	var ss_short_name = ((ss_name.toLowerCase()).replace(/\s/gi, '_')).replace(/\W/gi, '');

	var numi = $('theValue');
	var num = ($('theValue').getValue() -1)+ 2;
	$('theValue').value = num;

	var headerRow = new Element('tr', {'id': 'ss_'+num+'_th'}).adopt(
		new Element('th', {'colspan': 2}).appendText(ss_short_name)
	).adopt(
		new Element('td',{'class': 'td_options'}).adopt(
			new Element('a', {
				'href': 'javascript:myRemoveElement('+num+')\;',
				'title': '<?php _e('Remove this social site', 'gregarious') ?>'
			}).adopt(
				new Element('img', {
					'src': plugin_url+'\/modules\/share-this\/delete.png',
					'height': 16,
					'width': 16,
					'alt': 'Remove'
				})
			)
		)
	);

	var nameRow = new Element('tr', {'id': 'ss_'+num+'_name'}).adopt(
		new Element('td').appendText('Name:')
	).adopt(
		new Element('td').adopt(
			new Element('input', {
				'type': 'text',
				'name': 'social_sites['+ss_short_name+'][name]',
				'value': ss_name,
				'class': 'input_text'
			})
		)
	).adopt(
		new Element('td',{'class': 'td_options'}).adopt(
			new Element('a', {
				'href': 'javascript: moveRows('+num+', \'up\')\;'
			}).adopt(
				new Element('img', {
					'src': plugin_url+'modules/share-this/arrow_up.png',
					'height': 16,
					'width': 16,
					'alt': '\/\\'
				})
			)
		)
	);

	var urlRow = new Element('tr', {'id': 'ss_'+num+'_url'}).adopt(
		new Element('td').appendText('URL:')
	).adopt(
		new Element('td', {'id': 'url_'+num}).adopt(
			new Element('input', {
				type: 'text',
				name: 'social_sites['+ss_short_name+'][url]',
				value: ss_url,
				class: 'input_text'
			})
		)
	).adopt(
		new Element('td',{'class': 'td_options'}).adopt(
			new Element('a', {
				'href': 'javascript: moveRows('+num+', \'down\')\;'
			}).adopt(
				new Element('img', {
					'src': plugin_url+'modules/share-this/arrow_down.png',
					'height': 16,
					'width': 16,
					'alt': '\\\/'
				})
			)
		)
	);

	$('ss_table').adopt(headerRow).adopt(nameRow).adopt(urlRow);
	$('socialSites').setStyle('height', "100%");
}

function myRemoveElement(i) {
	$('ss_'+i+'_th').remove();
	$('ss_'+i+'_name').remove();
	$('ss_'+i+'_url').remove();
	$('socialSites').setStyle('height', "100%");
}

function moveRows(id, dir){
	if( dir=='up' && $('ss_'+id+'_th').getPrevious() ){
		$('ss_'+id+'_url').injectBefore($('ss_'+id+'_th').getPrevious().getPrevious().getPrevious());
		$('ss_'+id+'_name').injectBefore($('ss_'+id+'_url'));
		$('ss_'+id+'_th').injectBefore($('ss_'+id+'_name'));
		$('order_'+id).value -= 1;
		$('order_'+$('ss_'+id+'_url').getNext().getProperty('id').replace('ss_','').replace('_th','')).value += 1;
	} else if( dir=='down' && $('ss_'+id+'_url').getNext() ){
		id = $('ss_'+id+'_url').getNext().getProperty('id').replace('ss_','').replace('_th','');
		moveRows(id, 'up');
	}
}