<?php
//================================================
// SHARE-THIS MODULE for GREGARIOUS
//================================================
// Provision of "Share This" submit to social sites
// link on blog posts. Social sites listed in
// dialog are configurable
//================================================
// Gregarious is copyright 2007 Ankur Kothari
// All rights reserved.
// -------------------------
// http://dev.lipidity.com/wp-plugin-gregarious
//================================================

// prevent snooping
if(!defined('GREGARIOUS_BUILD'))exit;

function akst_print_css(){
	ob_start();
?>
#akst_form {
	background: #999;
	border: 1px solid #ddd;
	display: none;
	position: absolute;
	width: 350px;
	z-index: 999;
}
#akst_form a.akst_close {
	color: #fff;
	float: right;
	margin: 5px;
}
#akst_form ul.tabs {
	border: 1px solid #999;
	list-style: none;
	margin: 10px 10px 0 10px;
	padding: 0;
}
#akst_form ul.tabs li {
	background: #ccc;
	border-bottom: 1px solid #999;
	cursor: pointer;
	float: left;
	margin: 0 3px 0 0;
	padding: 3px 5px 2px 5px;
}
#akst_form ul.tabs li.selected {
	background: #fff;
	border-bottom: 1px solid #fff;
	cursor: default;
	padding: 4px 5px 1px 5px;
}
#akst_form div.clear {
	clear: both;
	float: none;
}
#akst_social, #akst_email {
	background: #fff;
	border: 1px solid #fff;
	padding: 10px;
}
#akst_social ul {
	list-style: none;
	margin: 0;
	padding: 0;
}
#akst_social ul li {
	float: left;
	margin: 0;
	padding: 0;
	width: 45%;
}
#akst_social ul li a {
	background-position: 0px 2px;
	background-repeat: no-repeat;
	display: block;
	float: left;
	height: 24px;
	padding: 4px 0 0 22px;
	vertical-align: middle;
}
<?php
$socials = greg_get_option('social_sites');
if( is_array($socials) ){
foreach ($socials as $key => $data) {
	print(
'#akst_'.$key.' { background-image: url('.greg_uri().'modules/share-this/icons/'.$key.'.gif) }
');
}
}
?>
#akst_email {
	display: none;
	text-align: left;
}
#akst_email form, #akst_email fieldset {
	border: 0;
	margin: 0;
	padding: 0;
}
#akst_email fieldset legend {
	display: none;
}
#akst_email ul {
	list-style: none;
	margin: 0;
	padding: 0;
}
#akst_email ul li {
	margin: 0 0 7px 0;
	padding: 0;
}
#akst_email ul li label {
	color: #555;
	display: block;
	margin-bottom: 3px;
}
#akst_email ul li input {
	padding: 3px 10px;
}
#akst_email ul li input.akst_text {
	padding: 3px;
	width: 280px;
}
.akst_share_link {
	background: 1px 0 url(<?php echo greg_uri(); ?>modules/share-this/icons/share-icon.gif) no-repeat;
	padding: 1px 0 3px 22px;
}
<?php
$result = ob_get_contents();
ob_end_clean();
return $result;
}

function akst_print_js(){
	ob_start();
?>
function $el(elID){
	return document.getElementById(elID);
}

if (/Konqueror|Safari|KHTML/.test(navigator.userAgent)) {
  $cumulativeOffset = function(element) {
	var valueT = 0, valueL = 0;
	do {
	  valueT += element.offsetTop  || 0;
	  valueL += element.offsetLeft || 0;
	  if (element.offsetParent == document.body)
		if (Element.getStyle(element, 'position') == 'absolute') break;
		  element = element.offsetParent;
	} while (element);
		return [valueL, valueT];
  }
} else {
	$cumulativeOffset = function(element){
	var valueT = 0, valueL = 0;
	do {
	  valueT += element.offsetTop  || 0;
	  valueL += element.offsetLeft || 0;
	  element = element.offsetParent;
	} while (element);
	return [valueL, valueT];
	}
}

function akst_share(id, url, title) {
	var form = $el('akst_form');
	var post_id = $el('akst_post_id');
	
	if (form.style.display == 'block' && post_id.value == id) {
		form.style.display = 'none';
		return;
	}
	
	var link = $el('akst_link_' + id);
	var offset = $cumulativeOffset(link);

<?php
$socials = greg_get_option('social_sites');
if( is_array($socials) ){
	foreach ($socials as $key => $data) {
		print(' $el("akst_'.$key.'").href = akst_share_url("'.$data['url'].'", url, title);'."\n");
		print(' $el("akst_'.$key.'").target = "_blank";'."\n");
	}
}
?>
	post_id.value = id;

	form.style.left = offset[0] + 'px';
	form.style.top = (offset[1] + link.offsetHeight + 3) + 'px';
	form.style.display = 'block';
}

function akst_share_url(base, url, title) {
	base = base.replace('{url}', url);
	return base.replace('{title}', title);
}

function akst_share_tab(tab) {
	var tab1 = $el('akst_tab1');
	var tab2 = $el('akst_tab2');
	var body1 = $el('akst_social');
	var body2 = $el('akst_email');
	
	switch (tab) {
		case '1':
			tab2.className = '';
			tab1.className = 'selected';
			body2.style.display = 'none';
			body1.style.display = 'block';
			break;
		case '2':
			tab1.className = '';
			tab2.className = 'selected';
			body1.style.display = 'none';
			body2.style.display = 'block';
			break;
	}
}

function akst_xy(id) {
	var element = $el(id);
	var x = 0;
	var y = 0;
}
<?php
$result = ob_get_contents();
ob_end_clean();
return $result;
}

function page_sharethis(){
?>
<fieldset>
	<legend>Share This Module</legend>
		<ul>
			<li class="checker">
				<input type="checkbox" class="input_check" id="chk20" name="share_append_feed"<?php echo (greg_get_option('share_append_feed')) ? " checked='checked'" : "" ?> />
				Show Share This link on RSS feed content
			</li>
			
			<li class="edit">
				<div class="wrapping more">Share This link text:</div>
					<div class='centre html_valid'>
					<input type="text" class="input_text" id="share_link_text" value="<?php echo attribute_escape(greg_get_option('share_link_text')); ?>" name="share_link_text" size="30" />
				</div>
				<div class='hrz'></div>
			</li>
			
			<li class="checker">
				<input type="checkbox" class="input_check" id="chk21" name="share_use_icon"<?php echo (greg_get_option('share_use_icon')) ? " checked='checked'" : "" ?> />
				Use Share This icon
			</li>

			<li class="checker">
				<input type="checkbox" class="input_check" id="chk22" name="share_popup"<?php echo (greg_get_option('share_popup')) ? " checked='checked'" : "" ?> />
				Use javascript dialog
			</li>
		</ul>
</fieldset>
<?php
}

function page_socialsites(){
$socials = greg_get_option('social_sites');

if( is_array($socials) ){
	?>
	<table style='width: 100%'>
	<tbody id="ss_table">
	<?php
	$count = 0;
	foreach($socials as $key => $value){
		?>
		<tr id="ss_<?php echo $count; ?>_th">
		<th colspan="2"><?php echo $key; ?></th>
		<td class='td_options'><a href="javascript:myRemoveElement(<?php echo $count ?>);"><img src="<?php echo greg_uri(); ?>modules/share-this/delete.png" height="16" width="16" alt="Remove" /></a></td>
		</tr>
		<tr id="ss_<?php echo $count; ?>_name">
		<td>Name:</td>
		<td><input type='text' name="social_sites[<?php echo $key; ?>][name]" value="<?php echo $value['name']; ?>" class='input_text noAJAX' /></td>
		<td class='td_options'>
		<a href="javascript: moveRows('<?php echo $count; ?>', 'up');void(0)">
		<img src="<?php echo greg_uri(); ?>modules/share-this/arrow_up.png" height="16" width="16" alt="^" /></a></td>
		</tr>
		<tr id="ss_<?php echo $count; ?>_url">
		<td>URL:</td>
		<td><input type='text' name="social_sites[<?php echo $key; ?>][url]" value="<?php echo attribute_escape($value['url']); ?>" class='input_text noAJAX' id="url_<?php echo $count; ?>" /></td>
		<td class='td_options'><input type='hidden' name="social_sites[<?php echo $key; ?>][order]" id="order_<?php echo $count; ?>" value="<?php echo $count; ?>" />
		<a href="javascript: moveRows('<?php echo $count; ?>', 'down');void(0)">
		<img src="<?php echo greg_uri(); ?>modules/share-this/arrow_down.png" height="16" width="16" alt="" /></a></td>
		</tr>
		<?php
	$count++;
	}
	?>
	</tbody>
	</table>

	<input type="hidden" value="<?php echo $count-1; ?>" id="theValue" />
<p><a href="javascript:addSocialSite();void(0);">Add a social site</a></p>
<?php
}
}

function write_stuff_to_file($filetype = 'css', $somecontent){
	global $gregarious;
	$filetype = GREGARIOUS_ABSPATH . 'modules/share-this/akst.' . $filetype;
	if( is_writable($filetype) )
	{
		if( !$handle = fopen($filetype, 'w') )
		{
			$gregarious->add_message( "Cannot open file ($filetype)", "alert" );
			return 0;
		}

		if( fwrite($handle, $somecontent) === FALSE )
		{
			$gregarious->add_message( "Cannot write to file ($filetype)", "alert" );
			return 0;
		} else {
			fclose($handle);
			return 1;
		}
	} else {
		$gregarious->add_message( "$filetype is not writable", "alert" );
	}
	return 0;
}

function sortByField($multArray,$sortField,$desc=true){
	if(!is_array($multArray))return array();
	$tmpKey='';
	$ResArray=array();

	$maIndex=array_keys($multArray);
	$maSize=count($multArray)-1;

	for($i=0; $i < $maSize ; $i++) {

		$minElement=$i;
		$tempMin=$multArray[$maIndex[$i]][$sortField];
		$tmpKey=$maIndex[$i];

		for($j=$i+1; $j <= $maSize; $j++)
		if($multArray[$maIndex[$j]][$sortField] < $tempMin ) {
			  $minElement=$j;
			  $tmpKey=$maIndex[$j];
			  $tempMin=$multArray[$maIndex[$j]][$sortField];

		  }
		  $maIndex[$minElement]=$maIndex[$i];
		  $maIndex[$i]=$tmpKey;
	}

	if($desc)
		for($j=0;$j<=$maSize;$j++)
		  $ResArray[$maIndex[$j]]=$multArray[$maIndex[$j]];
	else
	  for($j=$maSize;$j>=0;$j--)
		  $ResArray[$maIndex[$j]]=$multArray[$maIndex[$j]];

	return $ResArray;
}
?>